%global momorel 1
%global artsver 1.2.3
%global qtver 3.2.3
%global kdever 3.2.3
%global qtdir /usr/lib/qt3
%global kdedir /usr
%global i18nsrcver 0.11
%global i18nver 0.11

Summary: Excellent CD-Burner for KDE3
Name: k3b
Version: 0.11.13
Release: %{momorel}m
License: GPL
URL: http://www.k3b.org/
Group: Applications/Multimedia
%NoSource 0 http://download.sourceforge.net/sourceforge/k3b/%{name}-%{version}.tar.bz2 334a0545e42b77846f1eab1b67ef6c28
%NoSource 1 http://download.sourceforge.net/sourceforge/k3b/%{name}-i18n-%{i18nsrcver}.tar.bz2 80d1ac1766ad8a8cdadca5f4273f2d95
Source2: k3brc
Patch1: %{name}-0.11.3-kde32.patch
Patch2: %{name}-0.11.6-desktopfile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: qt >= %{qtver}, kdelibs >= %{kdever}, arts >= %{artsver}
Requires: cdrtools >= 2.0, mkisofs >= 2.0, cdrdao >= 1.1, dvd+rw-tools, XFree86, libart_lgpl
Requires: libvorbis, libogg, audiofile, libmad, id3lib, flac, cdparanoia
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, arts-devel >= %{artsver}
BuildPreReq: libvorbis-devel, libogg-devel, audiofile-devel
BuildPreReq: libmad, id3lib-devel, flac-devel, cdparanoia-devel
BuildPreReq: XFree86-devel, libart_lgpl-devel, zlib-devel, libpng-devel, libjpeg-devel

%description
K3b - The CD Creator - Writing cds under linux made easy. It has an extremely 
easy to use interface and supports many features: data/audio/video/mixed 
[on-the-fly] CD burning, CD copying, erasing and ripping, CD-text writing, 
burning iso/bin-cue images and many more.

%prep
%setup -q -b 1

%patch1 -p1 -b .kde32
%patch2 -p1 -b .desktop

%build
# if [ -f admin/Makefile.common ]; then
#  perl -pi -e 's/head -([1-9])/head -n $1/go' admin/*
#  WANT_AUTOCONF_2_5=1 make -f admin/Makefile.common
# fi

export QTDIR=%{qtdir} KDEDIR=%{kdedir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--disable-debug \
	--disable-warnings

make %{?_smp_mflags}

# k3b-i18n
( cd %{_builddir}/%{name}-i18n-%{i18nver}
#  aclocal
#  autoconf
  ./configure --prefix=%{_prefix}
  make
)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# k3b-i18n
( cd %{_builddir}/%{name}-i18n-%{i18nver}
  make DESTDIR=%{buildroot} install
)

# install k3brc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/config/k3brc

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/k3b.png %{buildroot}%{_datadir}/pixmaps/k3b.png

# install desktop files
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  --add-category X-Red-Hat-Base \
  %{buildroot}%{_datadir}/applnk/Multimedia/k3b.desktop

desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Qt \
  --add-category KDE \
  %{buildroot}%{_datadir}/applnk/Settings/System/k3bsetup2.desktop

# remove directories of original desktop files
# rm -rf %{buildroot}%{_datadir}/applnk/Multimedia
# rm -rf %{buildroot}%{_datadir}/applnk/Settings

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL README TODO
%{_bindir}/k3b
%{_bindir}/k3bsetup
%{_includedir}/*.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/k3b
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/config/k3brc
%{_datadir}/doc/HTML/*/k3b
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/k3b.png
%{_datadir}/sounds/*.wav

%changelog
* Wed Aug 04 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.13-1m)
- update to 0.11.13

* Fri Jul 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-4m)
- import k3b-0.11.3-kde32.patch from FC2
- import k3b-0.11.6-desktopfile.patch from FC2
- import k3brc from FC2
- add %%{_datadir}/pixmaps/k3b.png for GNOME
- fix category of desktop files

* Thu Jul 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-3m)
- move desktop files from %%{_datadir}/applnk to %%{_datadir}/applications/kde

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-2m)
- modify %%setup

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.12-1m)
- version 0.11.12
- modify %%install and %%clean sections
- %%global kdever 3.2.3

* Thu Jun 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.11-1m)
- version 0.11.11

* Wed May 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.10-1m)
- version 0.11.10
- Requires: cdparanoia, libart_lgpl
- BuildPreReq: cdparanoia-devel, libart_lgpl-devel

* Wed May 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.9-2m)
- rebuild against id3lib 3.8.3

* Tue Mar 30 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.9-1m)
- version 0.11.9

* Wed Mar 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.7-1m)
- version 0.11.7

* Wed Mar 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-2m)
- change i18n package

* Thu Mar  4 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-1m)
- version 0.11.6
- add i18n package again

* Tue Feb 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.5-2m)
- add dvd+rw-tools to Requires:

* Mon Feb 23 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.5-1m)
- version 0.11.5

* Thu Feb 19 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.4-1m)
- version 0.11.4

* Mon Feb 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.3-1m)
- version 0.11.3

* Thu Jan 29 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.1-1m)
- version 0.11.1

* Sat Jan 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11-2m)
- add %%post and %%postun sections

* Sat Jan 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11-1m)
- version 0.11
- Requires: flac
- BuildPreReq: flac-devel
- temporarily remove i18n package

* Sat Jan 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.3-2m)
- s/%%define/%%global/g

* Sat Dec  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.3-1m)
- version 0.10.3

* Sun Nov 16 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.2-1m)
- version 0.10.2

* Thu Sep 25 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-4m)
- clean up specfile

* Thu Sep 18 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-3m)
- add %%doc

* Thu Sep 18 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-2m)
- revise %%files section

* Wed Sep 17 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- import from Suzuka

* Thu Aug  5 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- added --disable-warnings flag.
- edit menu entry.

* Thu Jul 31 2003 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed head command option

* Tue Jul 29 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- version 0.9 with i18n package.

* Fri Jun 27 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- version 0.9pre2
